@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

@font-face {
    font-family: 'ArialNarrow';
    src: url('../font/arialnarrow.ttf') format('truetype');
}

main{
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    overflow: auto;
    scrollbar-width: none;
}

.div-perfil{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 0.5rem;
    margin: 1rem;
    margin-bottom: 6rem;
    width: 90%;
}

.texto_descricao{
    margin: 0;
    font-weight: 500;
    font-size: 19px;
}

.sub-cards{
    background-color: #ffffff;
    padding: 0.8rem;
    border-radius: 10px;
    border: 1px solid #cdcdcd;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    box-sizing: border-box;
    position: relative;
    justify-content: center;
    align-items: start;
    display: flex;
    flex-direction: column;
    color: black;
}



.titulo_perfil{
    font-weight: 500;
    margin: 0;
}

.texto_pontos{
    color: #F6A51C;
    font-size: 18px;
}

.icone_sessoes{
    font-size: 18px;
    background-color: #FFE4E6;
    color: #E11D48;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.icone_sequencia{
    font-size: 18px;
    background-color: #FEF3C7;
    color: #DD8318;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.titulo{
    font-weight: 600;
    font-size: 28px;
    color: black;
    margin-bottom: 0.3rem;
}

.titulo_card{
    font-weight: 600;
    font-size: 20px;
    margin: 0;
    color: black;
    margin-bottom: 0.3rem;
}

.div_card_data{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.descricao{
    font-size: 18px;
    font-weight: 400;
    color: grey;
    margin: 0;
}

.data_acontecimento{
    font-size: 14px;
    font-weight: 400;
    color: #4d4d4d;
    align-self: flex-end;
    margin: 0;
}

.div_tarefas{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.container_tarefas{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 1rem;
}

.div_progresso{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.texto_progresso{
    font-size: 18px;
    margin: 0;
    font-weight: 500;
}

.div_tarefas_semanais{
    display: flex;
    flex-direction: column;
    width: 100%;
}

.container_semanal{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}

.titulo_analise{
    font-weight: 500;
    margin: 0;
    margin-bottom: 0.2rem;
}

.div_analise{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.btn_categorias{
    background-color: #FAFBFC;
    border: 1px solid rgba(27, 31, 35, 0.15);
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, 0.04) 0 1px 0, rgba(255, 255, 255, 0.25) 0 1px 0 inset;
    box-sizing: border-box;
    color: #24292E;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    list-style: none;
    padding: 6px 16px;
    position: relative;
    transition: background-color 0.2s cubic-bezier(0.3, 0, 0.5, 1);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
    word-wrap: break-word;
}

.btn_enviar_registro{
    appearance: none;
    background-color: #2ea44f;
    border: none;
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    padding: 6px 16px;
    width: 100%;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
}

.inputs_pontos{
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 4px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    font-family: 'Poppins';
}

.container_registro{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}

.img_acontecimentos{
    width: 100%;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    max-height: 200px;
    object-fit: cover;
}

.cards_acontecimentos{
    width: 100%;
}